Package org.pushingpixels.flamingo.internal.ui.common

# Class BasicCommandToggleMenuButtonUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
org.pushingpixels.flamingo.internal.ui.common.CommandButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandToggleButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandToggleMenuButtonUI

public class BasicCommandToggleMenuButtonUI extends BasicCommandToggleButtonUI
Basic UI delegate for the `JCommandToggleMenuButton` component.

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`basicPopupButtonListener, buttonRendererPane, commandButton, disposePopupsActionListener, DONT_DISPOSE_POPUPS, EMULATE_SQUARE_BUTTON, isUnderMouse, layoutInfo, layoutManager, popupActionIcon, popupActionListener, propertyChangeListener, rendererButton, rendererSeparator`

## Constructor Summary

Constructors
Constructor
Description
`BasicCommandToggleMenuButtonUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
`protected boolean`
`isPaintingBackground()`
Returns indication whether the button background is painted.
`protected void`
`paintButtonIcon(Graphics g, Rectangle iconRect)`
Paints the button icon.

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandToggleButtonUI

`createRendererButton, isPaintingSeparators, updatePopupActionIcon`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`configureRenderer, createButtonListener, createPopupActionIcon, createPopupActionListener, getForegroundColor, getIconToPaint, getKeyTipAnchorCenterPoint, getLayoutGap, getLayoutInfo, getPreferredSize, installComponents, installDefaults, installKeyboardActions, installListeners, installUI, paint, paintButtonBackground, paintButtonBackground, paintButtonHorizontalSeparator, paintButtonVerticalSeparator, paintPopupActionIcon, processPopupAction, syncDisabledIcon, syncIconDimension, toUseDisabledIcon, unconfigureRenderer, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, updateBorder, updateCustomDimension`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicCommandToggleMenuButtonUI

public BasicCommandToggleMenuButtonUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### paintButtonIcon

protected void paintButtonIcon(Graphics g, Rectangle iconRect)
Description copied from class: `BasicCommandButtonUI`
Paints the button icon.

Overrides:
  `paintButtonIcon` in class `BasicCommandButtonUI`
Parameters:
  `g` - Graphics context.
  `iconRect` - Icon rectangle.

### isPaintingBackground

protected boolean isPaintingBackground()
Description copied from class: `BasicCommandButtonUI`
Returns indication whether the button background is painted.

Overrides:
  `isPaintingBackground` in class `BasicCommandButtonUI`
Returns:
  `true` if the button background is painted.